LCMAPS_VOMS.MOD(8)

NAME
lcmaps_voms.mod - LCMAPS plugin extract VOMS attributes from the certificate chain - DEPRECATED

SYNOPSIS
lcmaps_voms.mod [-vomsdir vomsdir] [-certdir certdir]

DESCRIPTION
This plugin forms the link between the VOMS data found in the user grid credential (X509 certificate) and the lcmaps system. It will retrieve the VOMS data by using the VOMS API. The plugin stores the VOMS data in the LCMAPS process space, where it is accessible by other 'VOMS-aware' plugins, and should, therefore, be evaluated before the other plugins, that actually gather the local credentials based on the VOMS information (e.g. lcmaps_voms_poolaccount.mod(8), lcmaps_voms_poolgroup.mod(8) and lcmaps_voms_localgroup.mod(8)).

DEPRECATED
This plugin is depricated. It is NOT advised to configure this plugin with an LCMAPS version newer then 1.4.0. The VOMS credentials extraction process has since that version been integrated into the core of the LCMAPS framework.

OPTIONS

-vomsdir vomsdir
    Provide the root directory for the VOMS .lsc files and/or the VOMS-host/service certificates. This is required to be able to verify the VOMS Attribute Certificates.

-certdir certdir
    Provide the certificate directory where the CA distribution is made available.

RETURN VALUES

LCMAPS_MOD_SUCCESS
    Success.

LCMAPS_MOD_FAIL
    Failure.

BUGS
Please report any errors to the Nikhef Grid Middleware Security Team <grid-mw-security-support@nikhef.nl>.

SEE ALSO
lcmaps.db(5), lcmaps(3).

AUTHORS
LCMAPS and the LCMAPS plug-ins were written by the Grid Middleware Security Team <grid-mw-security@nikhef.nl>.